import { Stack, StackProps } from 'aws-cdk-lib';
import { Construct } from 'constructs';
export interface ScheduleProperty {
    readonly timezone: string;
    readonly minute?: string;
    readonly hour?: string;
    readonly week?: string;
}
export interface TargetResourceProperty {
    readonly tagKey: string;
    readonly tagValues: string[];
}
export interface RdsDatabaseRunningScheduleStackProps extends StackProps {
    readonly targetResource: TargetResourceProperty;
    readonly enableScheduling?: boolean;
    readonly stopSchedule?: ScheduleProperty;
    readonly startSchedule?: ScheduleProperty;
}
export declare class RdsDatabaseRunningScheduleStack extends Stack {
    constructor(scope: Construct, id: string, props: RdsDatabaseRunningScheduleStackProps);
}
